<template>
  <aside class="app-filters">
    <section class="toggle-group">
      <button
        v-for="(item, index) in filters"
        :class="{ 'button--primary': activeFilter == item }"
        :key="index"
        @click="setFilter(item)"
        class="button"
      >
        {{ item }}
      </button>
    </section>
  </aside>
</template>
<script setup lang="ts">
import { PropType, ref } from "vue";
import { Filter } from "../types/Filters";
defineProps({
  activeFilter: String as PropType<Filter>,
});

const setFilter = (filter: Filter) => {
  emit("setFilter", filter);
};
const filters = ref<Filter[]>(["all", "active", "Done"]);

const emit = defineEmits<{
  (e: "setFilter", item: Filter): void;
}>();
</script>
